Redmine - Defect #21775

Field "Done" from issue subtasks table overlaps the layout in responsive mode, width 400
2016-01-21 00:32 - Marius BALTEANU

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Ul - Responsive Estimated time: 0.00 hour
Target version: 3.2.1

Resolution: Fixed Affected version: 3.2.0
Description

Steps to reproduce:

1. Open an issue with subtasks
2. Resize the browser to the minimum width (400px in my case, Chrome, latest version)
3. Observe the field Done that overlaps the layout.

before.png
I checked also the issues listing (project/issues) and there the problem doesn't reproduce because of the div "autoscroll" that makes
that block scrollable also on horizontal.

Attached is a patch that adds that div for issue subtasks and relations.

After | applied the patch:
after.png

Related issues:
Related to Redmine - Defect #32889: Responsive layout for issue tree and issu... Closed

Associated revisions

Revision 15200 - 2016-03-12 09:31 - Jean-Philippe Lang

Add responsive behaviour to subtasks and related issues (#21775).

Patch by Felix Gliesche.

Revision 15201 - 2016-03-12 09:32 - Jean-Philippe Lang
Merged r15200 (#21775).

History

#1 - 2016-01-21 00:33 - Marius BALTEANU
- File add_autoscroll_div.patch added

Attached the patch.

#2 - 2016-01-21 05:02 - Jan from Planio www.plan.io
- Category changed from Ul to Ul - Responsive

Thanks for reporting this and providing a patch.

I am not sure scrolling is the best approach here. Ideally, we'd rearrange the elements so they all fit on the screen without scrolling.
#3 - 2016-01-21 05:05 - Jan from Planio www.plan.io
I've also added a new category for responsive issues as | would expect to see a few more of those in the future. Using a different category will

hopefully make it easier for Felix and me to address them quickly.

#4 - 2016-01-21 08:53 - Marius BALTEANU
Jan from Planio www.plan.io wrote:
| am not sure scrolling is the best approach here. Ideally, we'd rearrange the elements so they all fit on the screen without scrolling.

| added the autoscroll div from two reasons:

1. this is the behavior used in the issues page
2.is a quick fix

| totally agree with you that is not the best approach and | think that the new responsive approach should apply in all pages where the issues are
listed (Issues, issue show, my page)

#5 - 2016-01-21 16:54 - Felix Gliesche
- File 0001-Add-responsive-behaviour-to-subtasks-and-related-iss.patch added

- File after-patch.png added

| have been working on a solution which avoids scrollbars and lets the columns stack so that each issue displays in two rows :

Start date: 01/21/2016
Due date:
% Done:
559
Subtasks Add

Fehler #13: subtask subtask subtask
Open Felix Glies...

Fehler #14: Neuer subtask
Open Felix Glies...

Related issues Add

Related to Fehler #9: A new task! &2

Open 03/05/2015 03/12/2015
Related to Fehler #8: Related G2
Open 11/22/2015

History

The screenshot shows how it looks on an iPhone 4 with 320px width (what | consider the minimum resolution width). It looks well for subtasks and
related issues. The subject spans over the full width, whereas status, asignee, progress, start_date and end_date use one-third of the available width.
| also added text-overflow:ellipsis to the table cells in case the content exceeds the table cell's space.

#6 - 2016-01-21 17:04 - Marius BALTEANU

It looks very good.

#7 - 2016-01-21 20:31 - Jan from Planio www.plan.io
- Status changed from New to Resolved
- Target version set to Candidate for next minor release

- Resolution set to Fixed

#8 - 2016-02-02 08:52 - Go MAEDA
- Status changed from Resolved to New
- Target version changed from Candidate for next minor release to 3.2.1

- Resolution deleted (Fixed)

Setting target version to 3.2.1.
Felix, thanks for working on many Ul issues.
#9 - 2016-03-12 09:32 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.

#10 - 2020-01-26 21:49 - Marius BALTEANU

- Related to Defect #32889: Responsive layout for issue tree and issue relation on issue page is broken added

Files

after.png 83 KB 2016-01-20 Marius BALTEANU
before.png 82.5 KB 2016-01-20 Marius BALTEANU
add_autoscroll_div.patch 1.64 KB 2016-01-20 Marius BALTEANU
0001-Add-responsive-behaviour-to-subtasks-and-related-iss.patch 2.03 KB 2016-01-21 Felix Gliesche
after-patch.png 74.1 KB 2016-01-21 Felix Gliesche
